image: node:16

before_script:
  - yarn install

cache:
  paths:
    - node_modules/

pages:
  script:
    - yarn generate
    - yarn build
    - mv dist public
  artifacts:
    paths:
      - public
  rules:
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH
